ghci-8.2.2: The library supporting GHC's interactive interpreter

Safe Haskell | None
Language | Haskell2010

GHCi.BreakArray

Description

Break Arrays

An array of bytes, indexed by a breakpoint number (breakpointId in Tickish) There is one of these arrays per module.

Each byte is 1 if the corresponding breakpoint is enabled 0 otherwise

# Documentation

data BreakArray #

Constructors

BA (MutableByteArray# RealWorld) |

newBreakArray :: Int -> IO BreakArray #

getBreak :: BreakArray -> Int -> IO (Maybe Word8) #

setBreakOn :: BreakArray -> Int -> IO Bool #

setBreakOff :: BreakArray -> Int -> IO Bool #

showBreakArray :: BreakArray -> IO () #